com.microsoft.sqlserver.jdbc

## Class SQLServerMetaData

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerMetaData

    public class SQLServerMetaData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SQLServerMetaData(SQLServerMetaData sqlServerMetaData)`
`SQLServerMetaData(String columnName, int sqlType)`
`SQLServerMetaData(String columnName, int sqlType, int precision, int scale)`
`SQLServerMetaData(String columnName, int sqlType, int precision, int scale, boolean useServerDefault, boolean isUniqueKey, SQLServerSortOrder sortOrder, int sortOrdinal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getColumName()`
`int` `getPrecision()`
`int` `getScale()`
`SQLServerSortOrder` `getSortOrder()`
`int` `getSortOrdinal()`
`int` `getSqlType()`
`boolean` `isUniqueKey()`
`boolean` `useServerDefault()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerMetaData

    public SQLServerMetaData(String columnName,
                             int sqlType)

#### SQLServerMetaData

    public SQLServerMetaData(String columnName,
                             int sqlType,
                             int precision,
                             int scale)

#### SQLServerMetaData

    public SQLServerMetaData(String columnName,
                             int sqlType,
                             int precision,
                             int scale,
                             boolean useServerDefault,
                             boolean isUniqueKey,
                             SQLServerSortOrder sortOrder,
                             int sortOrdinal)
                      throws SQLServerException

Throws:
  `SQLServerException`

#### SQLServerMetaData

    public SQLServerMetaData(SQLServerMetaData sqlServerMetaData)

### Method Detail

#### getColumName

    public String getColumName()

#### getSqlType

    public int getSqlType()

#### getPrecision

    public int getPrecision()

#### getScale

    public int getScale()

#### useServerDefault

    public boolean useServerDefault()

#### isUniqueKey

    public boolean isUniqueKey()

#### getSortOrder

    public SQLServerSortOrder getSortOrder()

#### getSortOrdinal

    public int getSortOrdinal()